[Overview][Classes][Index] | Reference for unit 'AVL_Tree' (#fcl)

# TAVLTree.FindLeftMostSameKey

Find the node most left to a specified node with the same data

## Declaration

Source position: avl_tree.pp line 77

`public function TAVLTree.FindLeftMostSameKey(`
`ANode: TAVLTreeNode`
`):TAVLTreeNode;`

## Arguments

`ANode` |  | The node to start the search from

## Function result

The treenode that was found, or nil if none found

## Description

FindLefMostSameKey finds the node most left from and with the same data as the specified node ANode.

## See also

TAVLTree.FindLeftMost |  | Find the node most left to a specified data node
TAVLTree.FindLeftMostKey |  | Find the node most left to a specified key node
TAVLTree.FindRightMostSameKey |  | Find the node most right of a specified node with the same data

The latest version of this document can be found at lazarus-ccr.sourceforge.net .